/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 31/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class StrukturNomorDetailDto {

    @NotNull(message = "strukturnomordetail.kdstrukturnomor.notnull")
    private Integer kdStrukturNomor;
     
    @NotNull(message = "strukturnomordetail.kdleveltingkat.notnull")
    private Integer kdLevelTingkat;
	
    @NotNull(message = "strukturnomordetail.qtydigitkode.notnull")
    private Integer qtyDigitKode;
    
    @NotNull(message = "strukturnomordetail.kodeurutawal.notnull")
    private String kodeUrutAwal;
    
    @NotNull(message = "strukturnomordetail.kodeurutakhir.notnull")
    private String kodeUrutAkhir;
    
   // @NotNull(message = "strukturnomordetail.isautoincrement.notnull")
    private Integer isAutoIncrement;
    
    @NotNull(message = "strukturnomordetail.formatkode.notnull")
    private String formatKode;
    
    private String statusResetNomor;
    
    private String keteranganLainnya;
    
    private String kdDepartemen;
    
    //@NotNull(message = "strukturnomordetail.statusenabled.notnull")
    private Boolean statusEnabled;
     
    

}
